Bug 102307 - F3 executes uno:RepeatSearch from the FindBar TextFind widget when not defined as the shortcut
Summary: F3 executes uno:RepeatSearch from the FindBar TextFind widget when not define...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: framework (show other bugs)
Version:
(earliest affected)
5.2.1.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Shortcuts-Accelerators Find-Search
  Show dependency treegraph
 
Reported: 2016-09-20 06:50 UTC by mahfiaz
Modified: 2021-03-30 03:39 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mahfiaz 2016-09-20 06:50:44 UTC
1. Open Calc or Writer
2. Ctrl + F to open quick search toolbar and activate
3. Search something, end with Enter
4. Press F3 to find next
5. Click inside document
6. Press F3 to find again. No boom. Either nothing happens or F3 has another use now.

I think whatever shortcut we use (F3 and Ctrl+G are generally common ones), it should work even when cursor is not inside search box.
Comment 1 V Stuart Foote 2016-09-21 18:14:43 UTC
F3 is undefined--both Globally and in Calc--it has no Find function in LibreOffice.

And, <Ctrl>+G *is* the defined shortcut for "Repeat Search" and functions from the Find toolbar (<Ctrl>+F) and the Find & Replace dialog (<Ctrl>+H)

You can of course customize your Keyboard to assign F3 to Repeat Search if you prefer--but we wont make it a default assignment as that would duplicate the <Ctrl>+G already used.
Comment 2 mahfiaz 2016-09-25 05:57:48 UTC
Put cursor back to search box and F3 will work (until your cursor is there). That's the problem.
Comment 3 V Stuart Foote 2016-09-25 16:24:13 UTC
As mentioned the behavior you seek is *already* provided with a customizable short cut assigned to the "Repeat Search" action--i.e. .uno:RepeatSearch.

On Windows builds that is already <Ctrl>+G by default, and on RPM builds it is to <Ctrl>+<Shift>+F; simply set the shortcut you prefer from Tools -> Customize -> Keyboard: Edit Functions, "Repeat Search"

F3 is *not* assigned to a LibreOffice search related shortcut action in any module, nor used in LibreOffice globally for an action. 

It has some specific uses--notably in Calc to move between errors, and in Draw/Impress to enter a group of objects.

The behavior of the F3 key executing find--e.g. .uno:RepeatSearch--while in the FindBar with cursor focus in the TextFind widget is anomalous in that it is not assigned as a shortcut, but is being parsed in the source code of the widget. This anomoly is present in both Windows and Linux builds and affects Writer and Calc.

Adjusting summary for that issue.
Comment 4 mahfiaz 2016-09-25 16:31:57 UTC
I think whatever happens should be consistent. So I vote for removal of F3 doing anything in this context.
Comment 5 QA Administrators 2017-10-23 14:14:00 UTC Comment hidden (no-value, obsolete)
Comment 6 mahfiaz 2019-03-30 18:05:19 UTC
It still happens in 6.2.2.2

svx/source/tbxctrls/tbunosearchcontrollers.cxx@269

            // Execute the search when Return, Ctrl-G or F3 pressed
            if ( KEY_RETURN == nCode || (bMod1 && (KEY_G == nCode)) || (KEY_F3 == nCode) )

should be:

            // Execute the search when Return or Ctrl-G is pressed
            if ( KEY_RETURN == nCode || (bMod1 && (KEY_G == nCode)) )
Comment 7 QA Administrators 2021-03-30 03:39:20 UTC
Dear mahfiaz,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug